apiVersion: kops.k8s.io/v1alpha2
kind: Cluster
metadata:
  name: chainqt3.com
spec:
  api:
    dns: {}
  authorization:
    rbac: {}
  channel: stable
  cloudProvider: aws
  configBase: s3://chainqt3-com/chainqt3.com
  etcdClusters:
    - cpuRequest: 200m
      etcdMembers:
        - encryptedVolume: true
          instanceGroup: master-us-east-1f
          name: f
      memoryRequest: 100Mi
      name: main
    - cpuRequest: 100m
      etcdMembers:
        - encryptedVolume: true
          instanceGroup: master-us-east-1f
          name: f
      memoryRequest: 100Mi
      name: events
  iam:
    allowContainerRegistry: true
    legacy: false
    useServiceAccountExternalPermissions: true
  kubelet:
    anonymousAuth: false
  kubernetesApiAccess:
    - 0.0.0.0/0
    - ::/0
  kubernetesVersion: 1.25.5
  masterPublicName: api.chainqt3.com
  networkCIDR: 172.20.0.0/16
  networking:
    kubenet: {}
  nonMasqueradeCIDR: 100.64.0.0/10
  serviceAccountIssuerDiscovery:
    discoveryStore: s3://chainqt3-com-oidc-store/chainqt3.com/discovery/chainqt3.com
    enableAWSOIDCProvider: true
  sshAccess:
    - 0.0.0.0/0
    - ::/0
  subnets:
    - cidr: 172.20.32.0/19
      name: us-east-1f
      type: Public
      zone: us-east-1f
  topology:
    dns:
      type: Public
    masters: public
    nodes: public
